# $Revision: 1.20 $, $Date: 2011/09/07 19:10:36 $
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
#
%define		abiver		2.10.0
#
Summary:	An image loading and scaling library
Summary(pl.UTF-8):	Biblioteka ładująca i skalująca obrazki
Name:		gdk-pixbuf2
Version:	2.24.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/2.24/gdk-pixbuf-%{version}.tar.xz
# Source0-md5:	bd7c2a9d23b573db467e39833f12103d
URL:		http://developer.gnome.org/gdk-pixbuf/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	jasper-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxslt-progs
BuildRequires:	perl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires:	glib2 >= 1:2.28.0
Suggests:	librsvg >= 2.31
Conflicts:	gtk+2 < 2:2.21.3-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if "%{_lib}" != "lib"
%define		libext		%(lib="%{_lib}"; echo ${lib#lib})
%define		pqext		-%{libext}
%else
%define		pqext		%{nil}
%endif

%description
gdk-pixbuf is an image loading and scaling library that can be
extended by loadable modules for new image formats.

It is used by toolkits such as GTK+ or Clutter.

%description -l pl.UTF-8
gdk-pixbuf to biblioteka ładująca i skalująca obrazki, której
funkcjonalność może być rozszerzana o obsługę nowych formatów poprzez
ładowane moduły.

Używana jest przez biblioteki takie jak GTK+ czy Clutter.

%package devel
Summary:	Header files for gdk-pixbuf library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gdk-pixbuf
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.28.0
Conflicts:	gtk+2-devel < 2:2.21.3-1

%description devel
Header files for gdk-pixbuf library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gdk-pixbuf.

%package apidocs
Summary:	gdk-pixbuf API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gdk-pixbuf
Group:		Documentation
Conflicts:	gtk+2-apidocs < 2:2.21.3-1

%description apidocs
API documentation for gdk-pixbuf library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gdk-pixbuf.

%prep
%setup -q -n gdk-pixbuf-%{version}
sed -i s#^io## po/LINGUAS
%{__rm} po/io.po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-man \
	%{__enable_disable apidocs gtk-doc} \
	--with-html-dir=%{_gtkdocdir} \
	--with-libjasper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if "%{_lib}" != "lib"
# We need to have 32-bit and 64-bit binaries as they have hardcoded LIBDIR.
# (needed when multilib is used)
mv -f $RPM_BUILD_ROOT%{_bindir}/gdk-pixbuf-query-loaders{,%{pqext}}
%endif

touch $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders.cache

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders/*.la \
	$RPM_BUILD_ROOT%{_libdir}/libgdk_pixbuf{,_xlib}-2.0.la

%{!?with_apidocs:%{__rm} -r $RPM_BUILD_ROOT%{_gtkdocdir}}

%find_lang gdk-pixbuf %{name}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
%{_bindir}/gdk-pixbuf-query-loaders%{pqext} --update-cache || :

%postun
/sbin/ldconfig
if [ "$1" != "0" ]; then
	umask 022
	%{_bindir}/gdk-pixbuf-query-loaders%{pqext} --update-cache || :
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS
%attr(755,root,root) %{_bindir}/gdk-pixbuf-query-loaders%{pqext}
%attr(755,root,root) %{_libdir}/libgdk_pixbuf-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdk_pixbuf-2.0.so.0
%attr(755,root,root) %{_libdir}/libgdk_pixbuf_xlib-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgdk_pixbuf_xlib-2.0.so.0
%dir %{_libdir}/gdk-pixbuf-2.0
%dir %{_libdir}/gdk-pixbuf-2.0/%{abiver}
%ghost %{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders.cache
%dir %{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders
%attr(755,root,root) %{_libdir}/gdk-pixbuf-2.0/%{abiver}/loaders/libpixbufloader-*.so
%{_libdir}/girepository-1.0/GdkPixbuf-2.0.typelib
%{_mandir}/man1/gdk-pixbuf-query-loaders.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gdk-pixbuf-csource
%attr(755,root,root) %{_libdir}/libgdk_pixbuf-2.0.so
%attr(755,root,root) %{_libdir}/libgdk_pixbuf_xlib-2.0.so
%{_datadir}/gir-1.0/GdkPixbuf-2.0.gir
%{_mandir}/man1/gdk-pixbuf-csource.1*
%{_includedir}/gdk-pixbuf-2.0
%{_pkgconfigdir}/gdk-pixbuf-2.0.pc
%{_pkgconfigdir}/gdk-pixbuf-xlib-2.0.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gdk-pixbuf
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gdk-pixbuf2.spec,v $
Revision 1.20  2011/09/07 19:10:36  qboosh
- updated to 2.24.0

Revision 1.19  2011/06/29 08:34:54  megabajt
- updated to 2.23.5

Revision 1.18  2011/06/24 21:32:40  marti
- resolves CVE-2011-2485
- updated url

Revision 1.17  2011/06/18 21:32:16  kiesiu
- updated to 2.23.4

Revision 1.16  2011/04/05 21:38:11  wiget
- up to 2.23.3 (merged from DEVEL)

Revision 1.15.2.3  2011/03/31 15:00:00  megabajt
- updated to 2.23.3

Revision 1.15.2.2  2011/03/05 22:38:32  megabajt
- updated to 2.23.1
- removed obsolete gobject-introspection.patch

Revision 1.15.2.1  2010/12/28 23:35:13  wiget
- 2.23.0

Revision 1.15  2010/11/17 13:05:53  hawk
- fixed file name for find_lang, now it builds

Revision 1.14  2010/11/15 13:07:45  gotar
- BR: rpmbuild(macros) >= 1.527 (__enable_disable)

Revision 1.13  2010/11/15 12:52:42  gotar
- fixed %%find_lang, make rm fail on error

Revision 1.12  2010/11/14 21:17:22  gotar
- +x libpixbufloader-*.so,
- removed .la, package is pc-enabled,
- cosmetics, libraries need to be separated for multilib

Revision 1.11  2010/11/14 21:05:40  gotar
- S: librsvg >= 2.31 (changed SVG loader location from 2.26)

Revision 1.10  2010/11/12 07:54:00  qboosh
- added nopngdep patch to avoid unnecessary libpng pkgconfig dependency for gdk-pixbuf-2.0
- release 2

Revision 1.9  2010/11/06 11:12:42  megabajt
- updated to 2.22.1

Revision 1.8  2010/10/04 06:39:55  qboosh
- LGPL v2+

Revision 1.7  2010/10/04 06:09:05  qboosh
- enhanced descs
- gettextize

Revision 1.6  2010/09/22 18:28:28  patrys
- 2.22.0

Revision 1.5  2010/09/11 09:37:52  lisu
- 2.21.7
- no gir files

Revision 1.4  2010/08/18 08:45:37  patrys
- drop io locale

Revision 1.3  2010/07/26 11:51:37  lisu
- up to 2.21.6
- drop empty README

Revision 1.2  2010/07/19 09:52:36  lisu
- BR: perl-devel

Revision 1.1  2010/07/01 19:30:03  megabajt
- new
